///////////////////////////////////////////////////////////////////////////////////////////
//                                                   41 Post                             //
// Android: Disabling anti-aliasing for pixel art                                        //
// Created by DimasTheDriver in 23/Jul/2011                                      		 //
// Available at:       http://www.41post.com/?p=4241                           		     //
///////////////////////////////////////////////////////////////////////////////////////////

package fortyonepost.com.pa;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.view.View;

public class CustomView extends View
{
	//creates a Bitmap object
	private Bitmap bitmap;
	//creates a Paint to set the render settings
	private Paint paint = new Paint();

	public CustomView(Context context) 
	{
		super(context);
		
		//decode the image into the Bitmap
		bitmap = BitmapFactory.decodeResource(this.getResources(), R.drawable.house);
		
		//set the paint settings
		paint.setAntiAlias(false);
		paint.setDither(true);
		paint.setFilterBitmap(false);
	}

	@Override
	protected void onDraw(Canvas canvas) 
	{
		//sets the background color to blue using hex ARGB values
		canvas.drawColor(0xFF00FFFF);
		//scale the Bitmap to be four times bigger than the original
		canvas.scale(4, 4);
		//render the bitmap at the specified position, using the paint object settings
		canvas.drawBitmap(bitmap, 5,5, paint);
		super.onDraw(canvas);
	}
}
