///////////////////////////////////////////////////////////////////////////////////////////
//                                                   41 Post                             //
// Android: Disabling anti-aliasing for pixel art                                        //
// Created by DimasTheDriver in 23/Jul/2011                                      		 //
// Available at:       http://www.41post.com/?p=4241                           		     //
///////////////////////////////////////////////////////////////////////////////////////////

package fortyonepost.com.pa;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;

public class ImageViewActivity extends Activity 
{
	//the ImageViews that draw the image onto the screen
    private ImageView ivOriginal;
    private ImageView ivAliased;
    private ImageView ivPixel;
    
    //the button that calls the CustomView Activity
    private Button btCustomView;
    
    //the Bitmaps, that will hold the decoded PNG data
    private Bitmap originalBMP;
    private Bitmap aliasedBMP;
    private Bitmap pixelBMP; 

    //creates a new Intent
    private Intent customViewI;
    
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        //initialize the ImageViews with the ones defined at the layout 'aliased.xml' file
        ivOriginal = (ImageView)findViewById(R.id.iv_original);
        ivAliased = (ImageView)findViewById(R.id.iv_scaled_aliased);
        ivPixel = (ImageView)findViewById(R.id.iv_scaled_pixelated);
        btCustomView = (Button)findViewById(R.id.bt_next);
        
        //decode the PNG into the Bitmap object
        originalBMP = BitmapFactory.decodeResource(this.getResources(), R.drawable.house);
        //create a new Bitmap, using the originalBMP but making it two times larger than the original
        aliasedBMP = Bitmap.createScaledBitmap(originalBMP, originalBMP.getWidth()*2, originalBMP.getHeight()*2, true);
        //create a new Bitmap, using the originalBMP but making it two times larger than the original
        pixelBMP = Bitmap.createScaledBitmap(originalBMP, originalBMP.getWidth()*2, originalBMP.getHeight()*2, false);
        
        //set the images that the ImageViews will be displaying
        ivOriginal.setImageBitmap(this.originalBMP);
        ivAliased.setImageBitmap(this.aliasedBMP);
        ivPixel.setImageBitmap(this.pixelBMP);
        
        //initialize this Intent, to change to the CustomViewActivity
        customViewI = new Intent(this,CustomViewActivity.class);
        
        //create a action for when the button gets pressed
        btCustomView.setOnClickListener(new OnClickListener() 
        {
			@Override
			public void onClick(View v) 
			{
				//go to the next Activity
				startActivity(customViewI);
			}
		});
    }
}